-- fusentest.fs_product definition

CREATE TABLE `fs_product` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sn` char(8) NOT NULL COMMENT '商品编号 P98f087j',
  `type` tinyint(4) NOT NULL COMMENT '分类ID',
  `title` varchar(64) NOT NULL COMMENT '名称',
  `title_cn` varchar(64) NOT NULL COMMENT '中文名称',
  `cover` varchar(128) NOT NULL COMMENT '封面图',
  `imgs` text NOT NULL COMMENT '一个或多个介绍图或视频',
  `keywords` varchar(128) NOT NULL COMMENT '关键字',
  `intro` text COMMENT '简要描述',
  `sort` smallint(6) DEFAULT '0' COMMENT '排序',
  `selled_num` int(11) DEFAULT '0' COMMENT '已卖数量',
  `ctime` int(11) DEFAULT NULL COMMENT '添加时间',
  `view` int(11) DEFAULT '0' COMMENT '浏览量',
  `size_ids` varchar(128) DEFAULT NULL COMMENT '尺寸 1,2,3,4',
  `material_ids` varchar(128) NOT NULL DEFAULT '' COMMENT '材质 1,2,3',
  `tag_ids` varchar(128) DEFAULT NULL COMMENT '标签 逗号间隔',
  `status` tinyint(4) DEFAULT '0' COMMENT '状态位  弃用',
  `produce_days` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '生产天数',
  `delivery_days` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '运送天数',
  `cover_img` varchar(128) NOT NULL DEFAULT '' COMMENT '背景图',
  `is_shelf` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否上架',
  `is_recommend` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否推荐',
  `is_hot` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否热销',
  `is_protection` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否环保',
  `is_microwave` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否可微波炉',
  `is_del` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除',
  `recommend_product` varchar(500) DEFAULT NULL COMMENT '推荐产品id例如: 1,3,4,5',
  `recommend_product_sort` varchar(500) DEFAULT NULL COMMENT '推荐排序例如:1324',
  `scene_ids` varchar(500) DEFAULT NULL COMMENT '关联的场景id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `sn` (`sn`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='产品表';